<?xml version="1.0" encoding="UTF-8"?>
<!--
    This configuration file was written by the eclipse-cs plugin configuration editor
-->
<!--
    Checkstyle-Configuration: United Front 2
    Description: none
-->
<!DOCTYPE module PUBLIC "-//Puppy Crawl//DTD Check Configuration 1.2//EN" "http://www.puppycrawl.com/dtds/configuration_1_2.dtd">
<module name="Checker">
    <property name="severity" value="warning"/>
    <module name="TreeWalker">
        <module name="FileContentsHolder"/>
        <module name="JavadocType"/>
        <module name="JavadocVariable"/>
        <module name="JavadocStyle">
            <property name="checkFirstSentence" value="false"/>
        </module>
        <module name="ConstantName"/>
        <module name="LocalFinalVariableName"/>
        <module name="LocalVariableName"/>
        <module name="MemberName"/>
        <module name="MethodName"/>
        <module name="PackageName"/>
        <module name="ParameterName"/>
        <module name="StaticVariableName"/>
        <module name="TypeName"/>
        <module name="AvoidStarImport"/>
        <module name="IllegalImport"/>
        <module name="RedundantImport"/>
        <module name="UnusedImports"/>
        <module name="FileLength"/>
        <module name="LineLength"/>
        <module name="MethodLength"/>
        <module name="ParameterNumber">
            <property name="severity" value="info"/>
        </module>
        <module name="EmptyForIteratorPad"/>
        <module name="MethodParamPad"/>
        <module name="NoWhitespaceAfter"/>
        <module name="NoWhitespaceBefore"/>
        <module name="OperatorWrap"/>
        <module name="ParenPad"/>
        <module name="TypecastParenPad"/>
        <module name="TabCharacter"/>
        <module name="WhitespaceAfter"/>
        <module name="WhitespaceAround">
            <property name="tokens" value="ASSIGN,BAND,BAND_ASSIGN,BOR,BOR_ASSIGN,BSR,BSR_ASSIGN,BXOR,BXOR_ASSIGN,COLON,DIV,DIV_ASSIGN,EQUAL,GE,GT,LAND,LCURLY,LE,LITERAL_ASSERT,LITERAL_CATCH,LITERAL_DO,LITERAL_ELSE,LITERAL_FINALLY,LITERAL_FOR,LITERAL_IF,LITERAL_RETURN,LITERAL_SYNCHRONIZED,LITERAL_TRY,LITERAL_WHILE,LOR,LT,MINUS,MINUS_ASSIGN,MOD,MOD_ASSIGN,NOT_EQUAL,PLUS,PLUS_ASSIGN,QUESTION,RCURLY,SL,SLIST,SL_ASSIGN,SR,SR_ASSIGN,STAR,STAR_ASSIGN,LITERAL_ASSERT,TYPE_EXTENSION_AND"/>
        </module>
        <module name="ModifierOrder"/>
        <module name="RedundantModifier"/>
        <module name="AvoidNestedBlocks"/>
        <module name="EmptyBlock"/>
        <module name="LeftCurly"/>
        <module name="NeedBraces"/>
        <module name="RightCurly"/>
        <module name="FinalClass"/>
        <module name="HideUtilityClassConstructor">
            <property name="severity" value="info"/>
        </module>
        <module name="InterfaceIsType"/>
        <module name="VisibilityModifier">
            <property name="packageAllowed" value="true"/>
            <property name="protectedAllowed" value="true"/>
        </module>
        <module name="ArrayTypeStyle"/>
        <module name="GenericIllegalRegexp">
            <property name="format" value="\s+$"/>
            <property name="message" value="Line has trailing spaces."/>
        </module>
        <module name="TodoComment"/>
        <module name="UpperEll"/>
        <module name="JavadocMethod">
            <property name="severity" value="info"/>
        </module>
        <module name="AbstractClassName">
            <property name="severity" value="info"/>
        </module>
        <module name="ImportOrder"/>
        <module name="AnonInnerLength">
            <property name="severity" value="info"/>
        </module>
        <module name="ExecutableStatementCount">
            <property name="max" value="50"/>
            <property name="tokens" value="INSTANCE_INIT,STATIC_INIT,METHOD_DEF,CTOR_DEF"/>
        </module>
        <module name="EmptyForInitializerPad"/>
        <module name="AvoidInlineConditionals">
            <property name="severity" value="info"/>
        </module>
        <module name="CovariantEquals"/>
        <module name="DefaultComesLast"/>
        <module name="DeclarationOrder">
            <property name="severity" value="info"/>
        </module>
        <module name="DoubleCheckedLocking"/>
        <module name="EmptyStatement"/>
        <module name="EqualsHashCode"/>
        <module name="ExplicitInitialization"/>
        <module name="FallThrough"/>
        <module name="FinalLocalVariable">
            <property name="severity" value="ignore"/>
        </module>
        <module name="HiddenField">
            <property name="severity" value="ignore"/>
        </module>
        <module name="IllegalInstantiation"/>
        <module name="IllegalCatch">
            <property name="severity" value="info"/>
        </module>
        <module name="IllegalThrows"/>
        <module name="IllegalToken">
            <property name="severity" value="ignore"/>
            <property name="tokens" value="POST_INC,POST_DEC,LITERAL_SWITCH"/>
        </module>
        <module name="IllegalTokenText"/>
        <module name="IllegalType">
            <property name="severity" value="info"/>
            <property name="tokens" value="METHOD_DEF,PARAMETER_DEF,VARIABLE_DEF"/>
        </module>
        <module name="InnerAssignment"/>
        <module name="JUnitTestCase"/>
        <module name="MagicNumber">
            <property name="severity" value="info"/>
        </module>
        <module name="MissingCtor">
            <property name="severity" value="ignore"/>
        </module>
        <module name="MissingSwitchDefault"/>
        <module name="ModifiedControlVariable"/>
        <module name="MultipleStringLiterals">
            <property name="severity" value="ignore"/>
        </module>
        <module name="MultipleVariableDeclarations"/>
        <module name="NestedIfDepth">
            <property name="severity" value="info"/>
        </module>
        <module name="NestedTryDepth"/>
        <module name="PackageDeclaration"/>
        <module name="ParameterAssignment"/>
        <module name="RequireThis">
            <property name="severity" value="info"/>
            <property name="checkMethods" value="false"/>
        </module>
        <module name="ReturnCount">
            <metadata name="com.atlassw.tools.eclipse.checkstyle.lastEnabledSeverity" value="info"/>
            <property name="severity" value="ignore"/>
        </module>
        <module name="SimplifyBooleanExpression"/>
        <module name="SimplifyBooleanReturn"/>
        <module name="StringLiteralEquality"/>
        <module name="SuperClone"/>
        <module name="SuperFinalize"/>
        <module name="ArrayTrailingComma"/>
        <module name="UnnecessaryParentheses"/>
        <module name="ImportControl">
            <property name="severity" value="ignore"/>
        </module>
        <module name="RedundantThrows">
            <property name="severity" value="ignore"/>
        </module>
        <module name="DesignForExtension">
            <property name="severity" value="ignore"/>
        </module>
        <module name="MutableException"/>
        <module name="ThrowsCount">
            <property name="severity" value="ignore"/>
        </module>
        <module name="BooleanExpressionComplexity"/>
        <module name="ClassDataAbstractionCoupling">
            <property name="severity" value="ignore"/>
        </module>
        <module name="ClassFanOutComplexity">
            <property name="max" value="30"/>
        </module>
        <module name="CyclomaticComplexity">
            <property name="severity" value="info"/>
        </module>
        <module name="JavaNCSS"/>
        <module name="NPathComplexity"/>
        <module name="DescendantToken"/>
        <module name="Indentation"/>
        <module name="RequiredRegexp"/>
        <module name="TrailingComment">
            <property name="severity" value="ignore"/>
        </module>
        <module name="UncommentedMain"/>
        <module name="Regexp"/>
        <module name="FinalParameters">
            <property name="severity" value="ignore"/>
        </module>
        <module name="j2ee.EntityBean"/>
        <module name="j2ee.FinalStatic"/>
        <module name="j2ee.LocalHomeInterface"/>
        <module name="j2ee.LocalInterface"/>
        <module name="j2ee.MessageBean"/>
        <module name="j2ee.RemoteHomeInterface"/>
        <module name="j2ee.RemoteInterface"/>
        <module name="j2ee.SessionBean"/>
        <module name="j2ee.ThisParameter"/>
        <module name="j2ee.ThisReturn"/>
    </module>
    <module name="PackageHtml"/>
    <module name="NewlineAtEndOfFile">
        <property name="fileExtensions" value=".java"/>
    </module>
    <module name="Translation"/>
    <module name="StrictDuplicateCode">
        <property name="severity" value="ignore"/>
    </module>
    <module name="SeverityMatchFilter"/>
    <module name="SuppressionFilter"/>
    <module name="SuppressionCommentFilter"/>
</module>
